Bug 507410 - Review Request: yum-plugin-download-order - Yum plugin to order downloading of packages
Review Request: yum-plugin-download-order - Yum plugin to order downloading o...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 13:04 EDT by Rakesh Pandit
Modified: 2009-10-13 21:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: 0.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 01:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sergio.pasra: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-06-22 13:04:40 EDT
SPEC: http://rakesh.fedorapeople.org/spec/yum-download-order.spec
SRPM: http://rakesh.fedorapeople.org/srpm/yum-download-order-0.1-1.fc11.src.rpm


Description of problem:
Yum plugin to order downloads. Right now it just orders based on size.
Comment 1 Steve Traylen 2009-06-22 13:39:30 EDT
H Rakesh,

 I'm not an official package reviewer.

 There are some .pyc/o files that need adding to the files list.

 Currently:

 error: Installed (but unpackaged) file(s) found:
   /usr/lib/yum-plugins/download-order.pyc
   /usr/lib/yum-plugins/download-order.pyo

 see:
 
 https://fedoraproject.org/wiki/Packaging:Python#Byte_Compiled_Files

 This is on F11.

Steve
Comment 2 Sergio Pascual 2009-06-23 05:10:43 EDT
In you spec, include all the python generated files with

/usr/lib/yum-plugins/download-order.py*


And you can join 
%doc README 
%doc COPYING

in 
%doc README COPYING
Comment 3 Rakesh Pandit 2009-06-23 09:14:54 EDT
SPEC: http://rakesh.fedorapeople.org/spec/yum-download-order.spec
SRPM: http://rakesh.fedorapeople.org/srpm/yum-download-order-0.1-2.fc11.src.rpm

Updated .. may you check this out whether it generates pyc and pyo files ? Removed Makefile and have used setup.py similar to yum-presto plugin spec file

Thanks,
Comment 4 Rahul Sundaram 2009-06-23 10:28:54 EDT
FYI, In Fedora 11, all plugins have the name yum-plugin-foo instead of yum-foo.
Comment 5 Rakesh Pandit 2009-06-23 13:22:40 EDT
except yum-presto which till now was only one outside provided yum-utils until this one came.
Comment 6 Rakesh Pandit 2009-06-23 13:24:28 EDT
@Rahul
Seems it is between to rename to yum-plugin-foo .. will update in some time.

@Sergio 
I will rename it ... waiting for review between.
Comment 7 Sergio Pascual 2009-06-29 18:23:11 EDT
Rakesh, the tarball upstream doesn't match the source in rpm. Please upload the new tarball so that I can write the review.

Other things:
  
 * why do you need python-setuptools-devel?, python-setuptools is enough to build and install most python applications.
 * the current recommended macro for python_sitelib is:

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

 just change define by global http://fedoraproject.org/wiki/Packaging:Python

 * download-order.py has a shebang in the first line. As this file isn't a script
   intended to be run by users, I think its better to remove it (when we also remove a rpmlint error)
Comment 8 Sergio Pascual 2009-07-27 07:58:14 EDT
Rakesh, the tarball upstream doesn't match the source in rpm. Please upload the
new tarball so that I can write the review.
Comment 9 Rakesh Pandit 2009-07-27 08:02:59 EDT
Sergio, I am on holidays and will do it in some days depending on time I get for this week (no access to my test box at working place). If I miss this week I will surely do it first week of Augest after going back to my place.
Comment 10 Rakesh Pandit 2009-08-04 12:55:41 EDT
Thanks for waiting,

SPEC: http://rakesh.fedorapeople.org/spec/yum-download-order.spec
SRPM: http://rakesh.fedorapeople.org/srpm/yum-download-order-0.1-2.fc11.src.rpm

I have updated the tarball.
Comment 12 Rakesh Pandit 2009-08-18 08:39:03 EDT
@ Sergio, ping ??
Comment 13 Fabian Affolter 2009-08-18 09:18:26 EDT
For me it seams that the stuff from comment #7 wasn't incorporated in the spec file.  Am I wrong?
Comment 15 Sergio Pascual 2009-08-24 16:28:15 EDT

rpmlint OK
name: a better name would be yum-plugin-download-order
license: OK
license included: OK
spec legible: OK
sources match upstream: OK
compiles: FAIL, you have to add python-devel to BuildRequires to compile the package
it owns all directories that it creates: OK
permissions: OK
clean section: OK
macros consistent: OK

So, you have to add python-devel to BuildRequires. A better name for the package
is yum-plugin-download-order, according to the majority of the yum plugins
Comment 17 Sergio Pascual 2009-08-26 04:31:53 EDT
APPROVED, thanks
Comment 18 Rakesh Pandit 2009-08-26 10:36:12 EDT
New Package CVS Request
=======================

Package Name: yum-plugin-download-order
Short Description: Yum plugin to order downloading of packages
Owners: rakesh
Branches: F-10 F-11
InitialCC:
Comment 19 Kevin Fenzi 2009-08-26 18:35:18 EDT
cvs done.
Comment 20 Fedora Update System 2009-09-14 01:09:44 EDT
yum-plugin-download-order-0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/yum-plugin-download-order-0.2-1.fc11
Comment 21 Fedora Update System 2009-09-14 01:10:45 EDT
yum-plugin-download-order-0.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-plugin-download-order-0.1-5.fc10
Comment 22 Fedora Update System 2009-10-13 21:43:09 EDT
yum-plugin-download-order-0.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-10-13 21:56:47 EDT
yum-plugin-download-order-0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.